#pragma once
#include "unit.h"



class Note;

class Birdie : public Unit
{

  public:

    int                       m_MovementSlowDownDelay;

    int                       m_RecoilSpeed;
    int                       m_RecoilSpeedDelay;

    int                       m_WalkSpeed;

    GR::f32                   m_FireDelay;
    GR::f32                   m_FireMoveDelay;

    bool                      m_Dying;

    bool                      m_Gun;
    bool                      m_Uzi;

    bool                      m_FastNotes;
    bool                      m_FartherNotes;
    bool                      m_SmallerFireDelay;
    


    Birdie();


    virtual void              Update( Level& Level, const GR::f32 fElapsedTime );
    virtual void              UpdateFixed( Level& Level );


    virtual void              ProcessEvent( Level& Level, const eUnitEvent& Event );

    Note*                     NewNote( Level& Level );

};
